require "import"
import "android.media.AudioManager"
import "com.androlua.*"

local audioManager = service.getSystemService(service.AUDIO_SERVICE)
local maxVolume = audioManager.getStreamMaxVolume(AudioManager.STREAM_MUSIC)

local function updateVolume(newVolume)
  local percentage = math.floor((newVolume / maxVolume) * 100)
  service.postSpeak(100, "Громкость мультимедиа " .. percentage .. " процентов") -- Используем postSpeak с задержкой 100 мс
end

local dlg = LuaDialog(activity or service)
dlg.setTitle("Увеличить или уменьшить громкость?")
dlg.setButton("Увеличить", function()
  local volume = audioManager.getStreamVolume(AudioManager.STREAM_MUSIC)
  local newVolume = volume + 1
  if newVolume > maxVolume then
    newVolume = maxVolume
  end
  audioManager.setStreamVolume(AudioManager.STREAM_MUSIC, newVolume, 0)
  updateVolume(newVolume)
end)
dlg.setButton2("Уменьшить", function()
  local volume = audioManager.getStreamVolume(AudioManager.STREAM_MUSIC)
  local newVolume = volume - 1
  if newVolume < 0 then
    newVolume = 0
  end
  audioManager.setStreamVolume(AudioManager.STREAM_MUSIC, newVolume, 0)
  updateVolume(newVolume)
end)
dlg.show()

return true